title: Giggi.me instructions.
subtitle: Sharing how to bring quickly a static site up.
date: 02.10.19
summary: *Some brief notes on how Giggi.me was made*
slug: making-giggi-me
no: 5

### Rationale

In the illusion of getting off the big grid of the internet comes giggi.me.

Inspired by ideas about how the internet works like and unlike how I believe it
should, giggi.me is a tiny step towards the latter case.

Such as many other phenomena in nature, we seem to recognise that the way the
internet grows isn't, in a moral and psychological sense, fair.

Little nodes struggle to be reachable at all and their only hope not to drown
in the ocean is hooking up some big - very big - ship that will carry them
around.

In doing so, those ships become always bigger and bigger, every time gaining
control over larger chunks of water.

Since human beings have managed to get this far by governing some aspects of
their natural habitat, I hope that you will clone down everything from giggi.me
and stick around with your own boat.

### How it works
```
+-----+              generates               +--------------+
| tod | ···································> | docker setup |
+-----+                                      +--------------+

+--------+     +--------------+  run   +--------------------+
| docker | (+) | docker setup | ·····> | containerized apps |
+--------+     +--------------+        +--------------------+

+--------------------+         the internet        +--------+
| containerized apps | <·························> | people |
+--------------------+                             +--------+
```

At the moment if you clone down [tod](git clone "https://www.giggi.me/gerrit/tod"),
you will get what I have put in there already, which is a code review tool
and a static blog.

What you can do, is to add more modules, so for them to be available to the
public. Tod is modular and flexible, you can flip on and off apps that are
relevant for your purposes.

1. [Jinja docs](http://jinja.pocoo.org/docs/2.10/templates/#sort)
2. [Pelican 3.6.3 docs](http://docs.getpelican.com/en/3.6.3/content.html)
3. [Pelican, using a static page as home](http://docs.getpelican.com/en/3.6.3/faq.html?highlight=faq#how-can-i-use-a-static-page-as-my-home-page)
4. [Markdown docs](https://markdown-guide.readthedocs.io/en/latest/)
5. [Markdown docs](https://daringfireball.net/projects/markdown/syntax)
6. [tod: template, open, deploy](https://www.giggi.me/gerrit/plugins/gitiles/tod/)
7. [codeigniter](https://codeigniter.com/)
